Skip to content

Adjusted Flow GET ​

URL: https://api.painelalter.com/api/v2/countAdjusted?dateBegin=2020-10-02&dateEnd=2020-11-02&eventType=1&groupBy=day

Retrieves specific flow events between two given dates for all stores registered under a user.

Query Parameters ​

ParameterDescription
dateBeginStart date. Format YYYY-MM-DD (Inclusive)
dateEndEnd date. Format YYYY-MM-DD (Inclusive)
eventTypeID of the event type to be retrieved (1 = entry flow)
groupByData grouping parameter

Event Type IDs Table ​

EventTypeDescription
1Entry Flow
2Exit Flow
3Checkout Stop
4External Flow Left
5External Flow Right
6Employee Entry
7Employee Exit
8Vehicle Entry
9Vehicle Exit
10In-store Flow
11Group Entry

groupBy Values Table ​

groupByDescription
dayGroup by day
monthGroup by month
hourGroup by hour
weekdayGroup by day of the week
day-hourGroup by day and hour

Response Example ​

json
{
  "2021-05-01": {
    "1": 265,
    "2": 480,
    "3": 443
  },
  "2021-05-02": {
    "1": 265,
    "2": 480,
    "3": 443
  },
  "2021-05-03": {
    "1": 265,
    "2": 480,
    "3": 443
  },
  "2021-05-04": {
    "1": 265,
    "2": 480,
    "3": 443
  }
}